#!/usr/bin/env python2

import os
import shutil
import sys

import pyexiv2


def main(destbasedir, sources):
    """Main entry point."""
    if not os.path.exists(destbasedir):
        print "Error: El dir %r no existe" % (destbasedir,)
        exit()

    for src in sources:
        for dirpath, dirnames, filenames in os.walk(src):
            for fname in filenames:
                fullpath_src = os.path.join(dirpath, fname)
                metadata = pyexiv2.ImageMetadata(fullpath_src)
                metadata.read()
                dt = metadata['Exif.Photo.DateTimeOriginal'].value

                # prepare destination directory
                dirname = "Varias-%4d%02d" % (dt.year, dt.month)
                destdir = os.path.join(destbasedir, dirname)
                if not os.path.exists(destdir):
                    print "Creando", destdir
                    os.mkdir(destdir)

                # move!
                fullpath_dst = os.path.join(destdir, fname)
                print "Moviendo", repr(fullpath_src), repr(fullpath_dst)
                shutil.move(fullpath_src, fullpath_dst)


if __name__ == '__main__':
    if len(sys.argv) < 3:
        print "Usage: photo_clasifier.py <destdir> <srcdir1> [<srcdir2> [...]]"
        exit()

    main(sys.argv[1], sys.argv[2:])
